Bug 124300 - rpmbuild --quiet does not affect output
Summary: rpmbuild --quiet does not affect output
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: 8
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-25 15:02 UTC by Orion Poplawski
Modified: 2008-01-25 17:16 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-25 17:16:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2004-05-25 15:02:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
The man page for rpmbuild suggests that --quiet will suppress all
output except for errors.  It does nothing.  This option would be very
useful for use in automated builds where you want to capture true
error output, but not the "set -x" debug output from the build scripts.

Version-Release number of selected component (if applicable):
rpm-build-4.2.1-0.30

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild --quiet <specfile>
2.
3.
    

Actual Results:  $ rpmbuild --quiet -bb yum.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.1472
+ umask 022
+ cd /export/cynosure/orion/redhat/yum-2.0.7
+ LANG=C
+ export LANG
+ unset DISPLAY
...

Expected Results:  $ rpmbuild --quiet -bb yum.spec
$

Additional info:

Comment 1 Anders F Björklund 2004-09-23 07:09:19 UTC
Could this be related to the liberal amount of :

rpmSetVerbosity(RPMMESS_NORMAL);	/* XXX silly use by showrc */

shouldn't it at least restore the previous value ?

Comment 2 Red Hat Bugzilla 2007-08-21 05:18:21 UTC
User pnasrat@redhat.com's account has been closed

Comment 3 Panu Matilainen 2007-08-22 06:34:56 UTC
Reassigning to owner after bugzilla made a mess, sorry about the noise...

Comment 4 Panu Matilainen 2007-11-13 14:21:46 UTC
FWIW this has (finally) been fixed upstream so F8 and later will inherit it
sooner or later, FC5 is long since EOL'd so updating version.

Comment 5 Panu Matilainen 2008-01-25 17:16:17 UTC
Fixed in 4.4.2.3-0.1.rc1


Note You need to log in before you can comment on or make changes to this bug.